• Managed Accounts
  • Trusted Brokers
  • Blog
  • Forex Forum

Announcement

Collapse
No announcement yet.

Build 574 - NEW TRADE COPIER 2.0

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Build 574 - NEW TRADE COPIER 2.0

    Hey guys - it appears that Metaquotes are starting to roll out the new version of MT4 (build 574)

    http://blog.simpletrader.net/?p=335

    I'd ask everyone to read the following article that we have posted as if you upgrade to 574 your current EA's (including Simpletrader) will stop working so you will need to upgrade. You can upgrade our EA from the downloads page (but please note you MUST follow the installation procedure on the link above).

    Metaquotes have changed where you install EA's.

    WE HIGHLY RECOMMEND YOU DO NOT RESTART YOUR MT4 BEFORE THE WEEKEND!!!!!

    PLEASE READ THIS
    http://blog.simpletrader.net/?p=335

    THIS EA WILL NOT WORK ON BUILD 509 - ONLY INSTALL THIS NEW EA WHEN YOUR BROKER UPDATES YOUR MT4 TERMINAL TO BUILD 574


  • #2
    So far we know the following are on build 574 if you restart MT4 you'll automatically get upgraded:

    - Armada Markets
    - Activtrades

    Comment


    • #3
      hope the execution speed and memory usage will meet our expectations with this new build

      Sent from my GT-N7000 using Tapatalk
      Last edited by Okda; 01-23-2014, 10:11 PM.

      Comment


      • #4
        I just want to mention that i did not get the new build when i restarted MT4 on Armada Markets (live account).

        Comment


        • #5
          Interesting... Which server are you connecting to out of interest?

          Comment


          • #6
            I connect to "main IP"

            Comment


            • #7
              Originally posted by Jamicon View Post
              I just want to mention that i did not get the new build when i restarted MT4 on Armada Markets (live account).
              Yes that can happen.

              For example I have 2 x MetaTrader 4 terminals from Armada Markets on my VPS and only one updated so far.

              Comment


              • #8
                metaquotes piss me off.


                thanks for keeping us uipdated on this also daniel. would a be a nightmare if not.

                Comment


                • #9
                  Originally posted by Jamicon View Post
                  I just want to mention that i did not get the new build when i restarted MT4 on Armada Markets (live account).
                  My demo account didn't update until I selected "Run as administrator" when I opened the terminal.
                  Would you like free lifetime access to our forex trading room?

                  Open an account at Blueberry Markets and save the $97/monthly fee.

                  Click here to find out more.

                  Comment


                  • #10
                    So everyone need to change? I m using axi and gp.

                    Comment


                    • #11
                      Nick, can you do a video of the sender one? If our broker do not change to the new version, do we still make this change? Will it affect anything if we do this change and broker still using old version?
                      Last edited by thekhoos; 01-24-2014, 01:51 AM.

                      Comment


                      • #12
                        Originally posted by thekhoos View Post
                        So everyone need to change? I m using axi and gp.
                        Once your platform updates you'll need to change.

                        Right now only a handful of brokers have moved across to build 574. We expect most brokers to adopt it over the weekend.

                        AxiTrader is still on the old build for now.
                        Would you like free lifetime access to our forex trading room?

                        Open an account at Blueberry Markets and save the $97/monthly fee.

                        Click here to find out more.

                        Comment


                        • #13
                          Please answer Nick or Will: Can we upgrade to your new EA this weekend even if we still have the old MT4? If not then we will be shut down after the brokers push the new version to us until we upgrade to your new EA.

                          Also many of us run Trading EAs, such as Wall Street. I'm running it so will have to check with them what will happen.

                          This sounds like it could become a mess! (Hate to be negative, but I am now very concerned.)

                          Thanks for any ideas you may have.

                          Rod

                          Comment


                          • #14
                            Originally posted by nwboater View Post
                            Please answer Nick or Will: Can we upgrade to your new EA this weekend even if we still have the old MT4? If not then we will be shut down after the brokers push the new version to us until we upgrade to your new EA.

                            Also many of us run Trading EAs, such as Wall Street. I'm running it so will have to check with them what will happen.

                            This sounds like it could become a mess! (Hate to be negative, but I am now very concerned.)

                            Thanks for any ideas you may have.

                            Rod

                            Hi nwboater,

                            The new EA won't work on the old version of MT4. The changes to the file structure are significant and alter the way the platform works.

                            It's our understanding that every EA that uses .dll files (every commercial EA) will need to be updated to work on the new build.

                            Yes, it's going to be an absolute mess! Fortunately we're fully prepared, however I expect many vendors are not even aware of these changes.

                            It would be interesting to see what response you receive from the Wall Street guys.
                            Would you like free lifetime access to our forex trading room?

                            Open an account at Blueberry Markets and save the $97/monthly fee.

                            Click here to find out more.

                            Comment


                            • #15
                              Nick/WillT

                              What do you think about the below statement with regard to your EA (your Copier) - will it (V 1.91) be relocated and still work? Or should we just forget the whole thing i.e. it won't work and reinstall (V. 2 if needed) as per your guidance? Thanks.

                              according to metaquotes:

                              "When updating MetaTrader 4 terminal from build 509 to the newer version, all MQ4, MQH and EX4 files from standard root directories of the previous version are automatically copied and relocated to the appropriate folders. Subfolders additionally created by a user, as well as files contained there are not processed. They should be relocated to the new place manually if necessary."

                              and

                              "No automatic re-compilation of the old EX4 files to the new version is performed during the update. Users are free to decide what source codes should be compiled to the new EX4 version. All old EX4 will work in the new MetaTrader 4 terminal. EX4 libraries compiled by the new compiler can be called only from the EX4 programs that have also been compiled in the new version."

                              Comment

                              Working...
                              X